# Class LookupRef

java.lang.Object
javax.naming.Reference
org.apache.naming.AbstractRef
org.apache.naming.LookupRef

All Implemented Interfaces:
  `Serializable, Cloneable`

public class LookupRef extends AbstractRef
Represents a reference to lookup.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LOOKUP_NAME`
JNDI name for the lookup

### Fields inherited from class Reference

`addrs, classFactory, classFactoryLocation, className`

## Constructor Summary

Constructors
Constructor
Description
`LookupRef(String resourceType, String lookupName)`
`LookupRef(String resourceType, String factory, String factoryLocation, String lookupName)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDefaultFactoryClassName()`

### Methods inherited from class AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### LOOKUP_NAME

public static final String LOOKUP_NAME
JNDI name for the lookup

See Also:
  - Constant Field Values

## Constructor Details

### LookupRef

public LookupRef(String resourceType, String lookupName)

### LookupRef

public LookupRef(String resourceType, String factory, String factoryLocation, String lookupName)

## Method Details

### getDefaultFactoryClassName

protected String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`